Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152812 - Telnetd Invalid Memory Handling
Summary: Telnetd Invalid Memory Handling
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: Package request
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://www.securityfocus.com/advisori...
Whiteboard: LEGACY
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-12 07:02 UTC by John Dalbec
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description David Lawrence 2005-03-30 23:28:19 UTC
04.40.10 CVE: CAN-2004-0911
Platform: Linux
Title: Debian GNU/Linux Telnetd Invalid Memory Handling
Description: Telnetd, as provided by Debian/GNU Linux, is reportedly
vulnerable to an invalid memory handling issue. This could be used by
attackers to execute arbitrary code on the vulnerable host in the
context of the telnetd process. Versions of telnetd prior to
0.17-18woody1 for the stable branch, and 0.17-26 for the unstable
branch are reported to be affected by this vulnerability.
Ref: http://www.securityfocus.com/advisories/7273



------- Additional Comments From marcdeslauriers@videotron.ca 2004-10-12 14:01:32 ----

This doesn't seem applicable to Red Hat's telnet.

http://www.securityfocus.com/archive/1/375743





------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:28 -------

This bug previously known as bug 2154 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2154
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.




Note You need to log in before you can comment on or make changes to this bug.